Block = Object:extend()

function Block:new(id,x,y,stage)
  self.id = id

  self.sprite = love.graphics.newImage(ids[tostring(self.id)].sprite)
  self.width, self.height = self.sprite:getDimensions()

  -- physics
  self.body = love.physics.newBody(stage.world,x,y,'static')
  self.shape = love.physics.newRectangleShape(self.width,self.height)
  self.fixture = love.physics.newFixture(self.body,self.shape)

  -- pointer to stage
  self.stage = stage

  -- add self to stage
  stage:addObject(self,ids[tostring(self.id)].layer)
end

function Block:draw()
  local offset_x,offset_y = self.sprite:getWidth()/2,self.sprite:getHeight()/2
  local x,y = self.body:getX(),self.body:getY()
  local angle = self.body:getAngle()

  love.graphics.draw(self.sprite,x,y,angle,1,1,offset_x,offset_y)
end

function Block:update(dt)
end

ids = {
  ['1'] = {sprite = 'sprites/block.png', layer = 'mid'}
}