Stage = Object:extend()

function Stage:new(meters,gravity,sleep,map)
  love.physics.setMeter(meters)
  self.world = love.physics.newWorld(gravity.x,gravity.y,sleep)

  self.objects = {}
  self.objects.bot = {}
  self.objects.mid = {}
  self.objects.top = {}

  -- load map
  --local map_file = love.filesystem.newFile(map,'r')
  self.map = love.filesystem.read(map)
  self.map = json.decode(self.map)

  -- add map objects to the stage
  for y,row in pairs(self.map) do
    for x,id in pairs(row) do
      if id ~= 0 then
        Block(1,(x-0.5)*meters,(y-0.5)*meters,self)
      end
    end
  end
end

function Stage:draw()
  for _,layer in pairs({'bot','mid','top'}) do
    for __,object in pairs(self.objects[layer]) do
      object:draw()
    end
  end
end

function Stage:update(dt)
  self.world:update(dt)
  
  for _, layer in pairs(self.objects) do
    for _, object in pairs(layer) do
      object:update(dt)
    end
  end
end

function Stage:addObject(object,layer)
  table.insert(self.objects[layer],object)
end